Bug 230953 - special handling is being done on files based substrings of their actual names
Summary: special handling is being done on files based substrings of their actual names
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
(Show other bugs)
Version: 6
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact:
URL: http://odin.himinbi.org/tests/mod_rew...
Whiteboard: bzcl34nup
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-05 00:48 UTC by Will Holcomb
Modified: 2008-05-06 19:18 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 19:18:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Will Holcomb 2007-03-05 00:48:32 UTC
Version-Release number of selected component (if applicable): 2.2.3

How reproducible: always

Description of problem:
Files are not treated correctly when the url is a substring of their actual
name. It is seen in two distinct places. The first is that a file ending in
'.html' or '.php' may be accessed even when the extension is not present:

Steps to Reproduce:
1. in a web accessible directory 'echo test > file.test.html'
2. from a browser, access 'file.test'
3. note that the file opens

Actual results:
The file is served even though no file of that name exists on the server.
Additionally that special filename does not get modified by mod_rewrite.

Expected results:
A 404, since the file doesn't exist.

Another, likely related, problem exists as well:

Steps to Reproduce:
1. in a web accessible directory 'echo test > file.html.test'
2. in the same directory, 'echo "RewriteEngine on" >> .htaccess'
3. next, 'echo "RewriteRule ^file.html$ http://google.com [R,L]" >> .htaccess'
4. access 'file.html' from a browser
5. note that no redirect occurred

Actual results:
mod_rewrite is passed over and the url 'file.html' is not redirected. A 404 is
returned instead. If 'touch file.html' is done in the directory, the redirect
will occur as expected. Similarly, if file.html is not created and
'file.html.test' is removed, the redirect will work.

Expected results:
The url should redirect when file.html.test exists. This behavior has been
tested under OSX and Debian, and does not exist there.

Comment 1 Joe Orton 2007-07-25 17:03:04 UTC
This is expected behaviour iff MultiViews was enabled for the directory.  
MultiViews is not enabled by default for /var/www/html - have you turned it on? 

Comment 2 Bug Zapper 2008-04-04 06:27:24 UTC
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Comment 3 Bug Zapper 2008-05-06 19:18:56 UTC
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.